Python如何安装高版本覆盖低版本?

1 个回答|128 次阅读
Coco老师 - 科普专家
擅长:编程教育

1、windows下,在控制面板中卸载原来的安装程序,如果还有没删除的文件,如果需要保留下次安装可以覆盖,一般不影响第三方库的使用。

2、linux下,编译安装还是升级整个系统,比如centos,redhat等系统,yum可能需要使用python2比较低的版本,所以不要删除原来的程序,将yum的python解析器指定为原来版本,新版本可以编译安装在其他目录,然后环境变量修改为新版本即可。